declare const BKCollapseTransition: {
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<{}> & Readonly<{}>, {
        on: {
            onBeforeEnter(el: import("vue").RendererElement): void;
            onEnter(el: import("vue").RendererElement): void;
            onAfterEnter(el: import("vue").RendererElement): void;
            onBeforeLeave(el: import("vue").RendererElement): void;
            onLeave(el: import("vue").RendererElement): void;
            onAfterLeave(el: import("vue").RendererElement): void;
        };
        slots: Readonly<{
            [name: string]: import("vue").Slot<any>;
        }>;
        resolveClassName: (cls: string) => string;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {}, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<{}> & Readonly<{}>, {
        on: {
            onBeforeEnter(el: import("vue").RendererElement): void;
            onEnter(el: import("vue").RendererElement): void;
            onAfterEnter(el: import("vue").RendererElement): void;
            onBeforeLeave(el: import("vue").RendererElement): void;
            onLeave(el: import("vue").RendererElement): void;
            onAfterLeave(el: import("vue").RendererElement): void;
        };
        slots: Readonly<{
            [name: string]: import("vue").Slot<any>;
        }>;
        resolveClassName: (cls: string) => string;
    }, {}, {}, {}, {}>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{}> & Readonly<{}>, {
    on: {
        onBeforeEnter(el: import("vue").RendererElement): void;
        onEnter(el: import("vue").RendererElement): void;
        onAfterEnter(el: import("vue").RendererElement): void;
        onBeforeLeave(el: import("vue").RendererElement): void;
        onLeave(el: import("vue").RendererElement): void;
        onAfterLeave(el: import("vue").RendererElement): void;
    };
    slots: Readonly<{
        [name: string]: import("vue").Slot<any>;
    }>;
    resolveClassName: (cls: string) => string;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin;
export default BKCollapseTransition;
